
import java.awt.Color;
import java.awt.Rectangle;
import java.util.Random;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author Renato
 */
public class ColorBox extends Rectangle {

    // Nuovi dati di istanza: colore e valori di traslazione
    private Color color;
    private int dx;
    private int dy;

    // Costruttore
    public ColorBox(int x, int y, int w, int h, int xm, int ym, Color c) {
        super(x, y, w, h);
        color = c;
        dx = xm;
        dy = ym;

    }

    // Metodo per confrontare due oggetti ColorBox
    public boolean equals(Object obj) {
        if (obj instanceof ColorBox) {
            ColorBox box = (ColorBox) obj;
            if (super.equals(box) && color.equals(box.color) && dx == box.dx && dy == box.dy) {
                return true;
            }
        }
        return false;

    }

    // Generazione di un colore a caso per il ColorBox
    public void randomColor() {
        Random rnd = new Random();
        setColor(new Color(rnd.nextInt(256), rnd.nextInt(256), rnd.nextInt(256)));

    }

    // Metodi di tipo get e set
    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
    }

    public int getDx() {
        return dx;
    }

    public void setDx(int dx) {
        this.dx = dx;
    }

    public int getDy() {
        return dy;
    }

    public void setDy(int dy) {
        this.dy = dy;
    }

    public void translate() {
        translate(dx, dy);
    }

}
